<?php
/*
Plugin Name: anppopular-post
Plugin URI: http://www.anpstudio.com/2012/09/anppopular-post-nuevo-plugin-para-mostrar-los-post-mas-comentados-de-una-forma-muy-grafica/ 
Description: Widget to display a list of the most commented post. The post are displayed on a color scale of colors. 
Author: antocara
Version: 1.0.4
Author URI: http://www.anpstudio.com
*/
/*
Copyright 2012  Antonio Carabantes(Email : antocara@gmail.com)

This program is free software: you can redistribute it and/or modify

it under the terms of the GNU General Public License as published by

the Free Software Foundation, either version 3 of the License, or

(at your option) any later version.

This program is distributed in the hope that it will be useful,

but WITHOUT ANY WARRANTY; without even the implied warranty of

MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

GNU General Public License for more details.

You should have received a copy of the GNU General Public License

along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
?>
<?php

/**
 * 
 * Creamos un widget
 *
 **/		
class anp_popular_post_widget extends WP_Widget {
		

		public function __construct() {
			parent::__construct(
		 		'anp_post_popular_post', // Base ID
				'anp Popular Post', // Name
				array( 'description' => __( 'Displays a list of most commented post', 'anp_text_popular_post' ), ) // Args
			);
		}
	/**
	 * Front-end  widget.
	 *
	 */
		public function widget( $args, $instance ) {
			extract( $args );
			
			$title = apply_filters( 'widget_title', $instance['title'] );
			$anp_num_post= $instance['anp_num_post'];
			$anp_colores_post = $instance['anp_colores_post'];
			$anp_autor = $instance['anp_autor'];
			$anp_color_back_num = $instance['anp_color_back_num'];
			$anp_color_lett = $instance['anp_color_lett'];
			$anp_color_text_num = $instance['anp_color_text_num'];
			
			
			update_option('anp_color_back_num', $anp_color_back_num);
			update_option('anp_color_lett', $anp_color_lett);
			update_option('anp_color_text_num', $anp_color_text_num);
			
			
			
			global $post, $wpdb;
	
			echo $before_widget;
			if ( ! empty( $title ) )
						echo $before_title . $title . $after_title;
			?>
				<div class="num_post_list">
					<?php 
						$result = $wpdb->get_results("SELECT comment_count,ID,post_title FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , $anp_num_post");
						$post_nu_clas=1;
					foreach ($result as $post) {
						setup_postdata($post);
						//$postid = $post->ID;
						$title = $post->post_title;
						$commentcount = $post->comment_count;
						
						if ($commentcount != 0) { ?>
						<div class="post <?php echo 'a'.$post_nu_clas;?>"><?php $post_nu_clas++;?>
						<div class="num_com"><?php echo $commentcount; ?></div>
						<div class="tex_anp"><a href="<?php echo get_permalink($postid); ?>"><?php echo $title; ?></a></div></div>
						 
						 <?php } 
					};?>
					<div id="anp_credit">
						<?php if($anp_autor == true)
							_e('Developed by <a href="http://www.anpstudio.com" rel="nofollow">anpstudio.com</a>', 'anp_text_popular_post');?>
					</div>
				</div>
				<?php 
				
			echo $after_widget;
			
				
				/******
				 * cargo hojas d estilo en función de la elección
				 ******/
				 
				switch ($anp_colores_post){
				
				 	case 1:
				 
					 // añado al head hoja de estilos para shortcode  
				     wp_register_style( 'anp_estilos', plugins_url() . '/anppopular-post/css/anp_popular_post.css' );  
				     wp_enqueue_style( 'anp_estilos' ); 
				     
				    break;  
				    case 2:
				    
				    	 // añado al head hoja de estilos para shortcode  
				        wp_register_style( 'anp_estilos_azul', plugins_url() . '/anppopular-post/css/anp_popular_post_azul.css' );  
				        wp_enqueue_style( 'anp_estilos_azul' ); 
				        
				    break; 
				    case 3:
				    
				    	 // añado al head hoja de estilos para shortcode  
				        wp_register_style( 'anp_estilos_verde', plugins_url() . '/anppopular-post/css/anp_popular_post_verde.css' );  
				        wp_enqueue_style( 'anp_estilos_verde' ); 
				        
				    break;   
				 	case 4:
				 
				 	 // añado al head hoja de estilos para shortcode  
				     wp_register_style( 'anp_estilos_rojo', plugins_url() . '/anppopular-post/css/anp_popular_post_rojo.css' );  
				     wp_enqueue_style( 'anp_estilos_rojo' ); 
				     
				    break; 
				
				}
		}
	/**
     * Sanitize widget form values as they are saved.
	 *
	 */
		public function update($new_instance, $old_instance) {                
		    return $new_instance;
		}
	/**
	 * backend widget
	 *
	 */ 
		public function form($instance){
		
					$title = esc_attr($instance['title']);
					$anp_num_post = esc_attr($instance['anp_num_post']);
					$anp_colores_post = esc_attr($instance['anp_colores_post']);
					$anp_autor = $instance['anp_autor'];
					$anp_color_back_num = $instance['anp_color_back_num'];
					$anp_color_lett = $instance['anp_color_lett'];
					$anp_color_text_num = $instance['anp_color_text_num'];
					
					
					
					
					?>
				    <p>
				        <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','anp_text_popular_post'); ?></label>
				        <input type="text" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title; ?>" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" />
				    </p>
				   	<p>
				        <label for="<?php echo $this->get_field_id('anp_num_post'); ?>"><?php _e('Number of post to show:','anp_text_popular_post'); ?></label>
				        <select name="<?php echo $this->get_field_name('anp_num_post'); ?>" class="widefat" id="<?php echo $this->get_field_id('anp_num_post'); ?>">
				            <?php for ( $i = 1; $i <= 10; $i += 1) { ?>
				            <option value="<?php echo $i; ?>" <?php if($anp_num_post == $i){ echo "selected='selected'";} ?>><?php echo $i; ?></option>
				            <?php } ?>
				        </select>
				    </p>
				    <p>
				        <label for="<?php echo $this->get_field_id('anp_colores_post'); ?>"><?php _e('Color Palette:','anp_text_popular_post'); ?></label>
				        <select name="<?php echo $this->get_field_name('anp_colores_post'); ?>" class="widefat" id="<?php echo $this->get_field_id('anp_colores_post'); ?>">
				            <?php for ( $i = 1; $i <= 4; $i += 1) { ?>
				            <option value="<?php echo $i; ?>" <?php if($anp_colores_post == $i){ echo "selected='selected'";} ?>>

				           		<?php 
				           			switch ($i) {
				           				case 1:
				           				_e('Normal', 'anp_text_popular_post');
				           				break;
				           				
				           				case 2:
				           				_e('Blue', 'anp_text_popular_post');
				           				break;
				           				
				           				case 3:
				           				_e('Green', 'anp_text_popular_post');
				           				break;
				           				
				           				case 4:
				           				_e('Red', 'anp_text_popular_post');
				           				break;	
				           						
				           			};
				           		
				           		 ?>
				           	</option>
				           
				            <?php } ?>
				        </select>
				    </p>
				    <p><label for="<?php echo $this->get_field_id('anp_autor'); ?>"><?php _e('Credit the author show', 'anp_text_popular_post'); ?></label>
				    	<input id="<?php echo $this->get_field_id('anp_autor') ; ?>" class="checkbox" type="checkbox" value="1" name="<?php echo $this->get_field_name('anp_autor');?>" <?php checked( '1', $anp_autor );?> />
				       
				    </p>
				    
				   
				    <p><label for="<?php echo $this->get_field_id('anp_color_back_num'); ?>"><?php _e('Background color number of comments', 'anp_text_popular_post'); ?></label>
				    <input type="text" name="<?php echo $this->get_field_name('anp_color_back_num'); ?>" class="color" value="<?php echo $anp_color_back_num; ?>" />
				    </p>
				    
				    <p><label for="<?php echo $this->get_field_id('anp_color_text_num'); ?>"><?php _e('Text color of the number of comments', 'anp_text_popular_post'); ?></label>
				    <input type="text" name="<?php echo $this->get_field_name('anp_color_text_num'); ?>" class="color" value="<?php echo $anp_color_text_num; ?>" />
				    </p>
				    
				    <p><label for="<?php echo $this->get_field_id('anp_color_lett'); ?>"><?php _e('Text color of the post', 'anp_text_popular_post'); ?></label>
				    <input type="text" name="<?php echo $this->get_field_name('anp_color_lett'); ?>" class="color" value="<?php echo $anp_color_lett; ?>" />
				    </p>
				   
									   
					<?php
				}
				
				

}


function registro_anp_popular_post()
{
	register_widget('anp_popular_post_widget');
}
add_action('widgets_init', 'registro_anp_popular_post');

/*
 *
 * registramos jscolor
 *
 */ 
function anp_regis_jscolor() {
	wp_register_script('anp_jscolor', plugins_url('/js/jscolor/jscolor.js', __FILE__));
	wp_enqueue_script('anp_jscolor');
} 
add_action('admin_print_scripts-widgets.php', 'anp_regis_jscolor');
/*
 *
 * registramos scripts jquery
 *
 */ 
function anp_regis_script_jq() {
	wp_register_script('anp_scripts_jq', plugins_url('/js/script.js', __FILE__));
	wp_enqueue_script('anp_scripts_jq');
} 
add_action('admin_print_scripts-widgets.php', 'anp_regis_script_jq');

/*
 *
 * Activamos multilenguaje
 *
 */ 
function traduce_anp_popular_post(){

	load_plugin_textdomain('anp_text_popular_post', false, basename( dirname( __FILE__ ) ) . '/lang' );
}
add_action('init', 'traduce_anp_popular_post');

function anp_head(){
	$opciones=get_option('anp_color_back_num');
	$opcion_tex=get_option('anp_color_lett');
	$opcion_tex_number=get_option('anp_color_text_num');
	$estilos= '<style type="text/css">
					div.num_com{
						background-color: #'.$opciones.'!important;
						color: #'.$opcion_tex_number.'!important;
					}	
					div.post a{
						color: #'.$opcion_tex.'!important;
					}
	
				</style>';
					
  
 	echo $estilos;
	
}
add_action('wp_head', 'anp_head');

?>
